<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Smart Folder: Référence du fichier src/parser.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Smart Folder
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">Un répertoire virtuel de recherche de fichiers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('parser_8c.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Fonctions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier parser.c</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contient l'implémentation du logger.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="parser_8h_source.html">../inc/parser.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a9ef2cd6550a23d83627423cee966ebdf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structcriteria__t.html">criteria_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8c.html#a9ef2cd6550a23d83627423cee966ebdf">init_name</a> (char **expression, int index)</td></tr>
<tr class="memdesc:a9ef2cd6550a23d83627423cee966ebdf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialisation d'une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> avec le critère <em>--name</em>.  <a href="#a9ef2cd6550a23d83627423cee966ebdf">Plus de détails...</a><br /></td></tr>
<tr class="separator:a9ef2cd6550a23d83627423cee966ebdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab86b186bead5d8ca36776d55d43c86d0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structcriteria__t.html">criteria_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8c.html#ab86b186bead5d8ca36776d55d43c86d0">init_size</a> (char **expression, int index)</td></tr>
<tr class="memdesc:ab86b186bead5d8ca36776d55d43c86d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialisation d'une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> avec le critère <em>--size</em>.  <a href="#ab86b186bead5d8ca36776d55d43c86d0">Plus de détails...</a><br /></td></tr>
<tr class="separator:ab86b186bead5d8ca36776d55d43c86d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a716e0abc3f8a4ff04636b5d2565303bc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structcriteria__t.html">criteria_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8c.html#a716e0abc3f8a4ff04636b5d2565303bc">init_date</a> (char **expression, int index)</td></tr>
<tr class="memdesc:a716e0abc3f8a4ff04636b5d2565303bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialisation d'une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> avec le critère <em>--date</em>.  <a href="#a716e0abc3f8a4ff04636b5d2565303bc">Plus de détails...</a><br /></td></tr>
<tr class="separator:a716e0abc3f8a4ff04636b5d2565303bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a634cf848c6382374970e4204423d1751"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structcriteria__t.html">criteria_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8c.html#a634cf848c6382374970e4204423d1751">init_owner</a> (char **expression, int index)</td></tr>
<tr class="memdesc:a634cf848c6382374970e4204423d1751"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialisation d'une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> avec le critère <em>--owner</em>.  <a href="#a634cf848c6382374970e4204423d1751">Plus de détails...</a><br /></td></tr>
<tr class="separator:a634cf848c6382374970e4204423d1751"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a269648f2d7daa94186cb147c65731db3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structcriteria__t.html">criteria_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8c.html#a269648f2d7daa94186cb147c65731db3">init_mode</a> (char **expression, int index)</td></tr>
<tr class="memdesc:a269648f2d7daa94186cb147c65731db3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialisation d'une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> avec le critère <em>--mode</em>.  <a href="#a269648f2d7daa94186cb147c65731db3">Plus de détails...</a><br /></td></tr>
<tr class="separator:a269648f2d7daa94186cb147c65731db3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01b59c8784c3da46857c69a1b5435c68"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structcriteria__t.html">criteria_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8c.html#a01b59c8784c3da46857c69a1b5435c68">criteria_gen</a> (char **expression)</td></tr>
<tr class="memdesc:a01b59c8784c3da46857c69a1b5435c68"><td class="mdescLeft">&#160;</td><td class="mdescRight">Génération d'une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> selon le critère.  <a href="#a01b59c8784c3da46857c69a1b5435c68">Plus de détails...</a><br /></td></tr>
<tr class="separator:a01b59c8784c3da46857c69a1b5435c68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9035b5b576c1b66c40b40e91e858323c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8c.html#a9035b5b576c1b66c40b40e91e858323c">is_condition</a> (char *str)</td></tr>
<tr class="memdesc:a9035b5b576c1b66c40b40e91e858323c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Vérification si <em>str</em> est une condition ("not", "and" ou "or")  <a href="#a9035b5b576c1b66c40b40e91e858323c">Plus de détails...</a><br /></td></tr>
<tr class="separator:a9035b5b576c1b66c40b40e91e858323c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4de8e8bdf8ef636e27a48034d286f2fc"><td class="memItemLeft" align="right" valign="top"><a id="a4de8e8bdf8ef636e27a48034d286f2fc"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>is_criteria</b> (char *str)</td></tr>
<tr class="separator:a4de8e8bdf8ef636e27a48034d286f2fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4342a2f9cb945c37e9ebf50e5e3b7786"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8c.html#a4342a2f9cb945c37e9ebf50e5e3b7786">get_nb_criterias</a> (char **expression, int <a class="el" href="list_8c.html#a8ffe93a3beaf22d1d8cd6ee35beb1012">size</a>)</td></tr>
<tr class="memdesc:a4342a2f9cb945c37e9ebf50e5e3b7786"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calcul du nombre de critères dans <em>expression</em>.  <a href="#a4342a2f9cb945c37e9ebf50e5e3b7786">Plus de détails...</a><br /></td></tr>
<tr class="separator:a4342a2f9cb945c37e9ebf50e5e3b7786"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a175c5a2b980e11437f52893e1fe359f8"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8c.html#a175c5a2b980e11437f52893e1fe359f8">get_nb_conditions</a> (char **expression, int <a class="el" href="list_8c.html#a8ffe93a3beaf22d1d8cd6ee35beb1012">size</a>)</td></tr>
<tr class="memdesc:a175c5a2b980e11437f52893e1fe359f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calcul du nombre de conditions dans <em>expression</em>.  <a href="#a175c5a2b980e11437f52893e1fe359f8">Plus de détails...</a><br /></td></tr>
<tr class="separator:a175c5a2b980e11437f52893e1fe359f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f173821a47a59c7c292f7356ff21e90"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structexpression__t.html">expression_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8c.html#a7f173821a47a59c7c292f7356ff21e90">new_expression_struct</a> (char **expression, int <a class="el" href="list_8c.html#a8ffe93a3beaf22d1d8cd6ee35beb1012">size</a>)</td></tr>
<tr class="memdesc:a7f173821a47a59c7c292f7356ff21e90"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allocation de la mémoire pour une structure <em><a class="el" href="structexpression__t.html" title="Représente les critères de recherche et l&#39;expression booléenne combinant les différents critères (sou...">expression_t</a></em>.  <a href="#a7f173821a47a59c7c292f7356ff21e90">Plus de détails...</a><br /></td></tr>
<tr class="separator:a7f173821a47a59c7c292f7356ff21e90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab41afcc9a4ade3805cd3891963433bd3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structexpression__t.html">expression_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8c.html#ab41afcc9a4ade3805cd3891963433bd3">parse</a> (char **expression, int <a class="el" href="list_8c.html#a8ffe93a3beaf22d1d8cd6ee35beb1012">size</a>)</td></tr>
<tr class="memdesc:ab41afcc9a4ade3805cd3891963433bd3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Analyse et construction de la structure <em><a class="el" href="structexpression__t.html" title="Représente les critères de recherche et l&#39;expression booléenne combinant les différents critères (sou...">expression_t</a></em>.  <a href="#ab41afcc9a4ade3805cd3891963433bd3">Plus de détails...</a><br /></td></tr>
<tr class="separator:ab41afcc9a4ade3805cd3891963433bd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb0d13f407c13575c11795a39f35dcd9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parser_8c.html#abb0d13f407c13575c11795a39f35dcd9">free_expression_struct</a> (<a class="el" href="structexpression__t.html">expression_t</a> *strct)</td></tr>
<tr class="memdesc:abb0d13f407c13575c11795a39f35dcd9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Libération de la mémoire d'une structure <em><a class="el" href="structexpression__t.html" title="Représente les critères de recherche et l&#39;expression booléenne combinant les différents critères (sou...">expression_t</a></em>.  <a href="#abb0d13f407c13575c11795a39f35dcd9">Plus de détails...</a><br /></td></tr>
<tr class="separator:abb0d13f407c13575c11795a39f35dcd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a7876f1abccc95ac93c6ca5a93435b5ee"><td class="memItemLeft" align="right" valign="top"><a id="a7876f1abccc95ac93c6ca5a93435b5ee"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>commandes</b> [<a class="el" href="parser_8h.html#ad14effda14501a769b3d46984d43aa00">MAX_CMDS</a>] = {&quot;--name&quot;,&quot;--<a class="el" href="list_8c.html#a8ffe93a3beaf22d1d8cd6ee35beb1012">size</a>&quot;,&quot;--date&quot;,&quot;--owner&quot;,&quot;--mode&quot;}</td></tr>
<tr class="separator:a7876f1abccc95ac93c6ca5a93435b5ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Contient l'implémentation du logger. </p>
<p>Contient les fonctions du parser des arguments.</p>
<dl class="section author"><dt>Auteur</dt><dd>Abdennadher Raed &amp; Antoniadis Orphée </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>27 janvier 2017 </dd></dl>
</div><h2 class="groupheader">Documentation des fonctions</h2>
<a id="a01b59c8784c3da46857c69a1b5435c68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01b59c8784c3da46857c69a1b5435c68">&#9670;&nbsp;</a></span>criteria_gen()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structcriteria__t.html">criteria_t</a> * criteria_gen </td>
          <td>(</td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>expression</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Génération d'une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> selon le critère. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">expression</td><td>Tableau d'expression </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Pointeur sur une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> </dd></dl>

</div>
</div>
<a id="abb0d13f407c13575c11795a39f35dcd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb0d13f407c13575c11795a39f35dcd9">&#9670;&nbsp;</a></span>free_expression_struct()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void free_expression_struct </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structexpression__t.html">expression_t</a> *&#160;</td>
          <td class="paramname"><em>strct</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Libération de la mémoire d'une structure <em><a class="el" href="structexpression__t.html" title="Représente les critères de recherche et l&#39;expression booléenne combinant les différents critères (sou...">expression_t</a></em>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">strct</td><td>Expression à libérée </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a175c5a2b980e11437f52893e1fe359f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a175c5a2b980e11437f52893e1fe359f8">&#9670;&nbsp;</a></span>get_nb_conditions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int get_nb_conditions </td>
          <td>(</td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>expression</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calcul du nombre de conditions dans <em>expression</em>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">expression</td><td>Expression à parcourir </td></tr>
    <tr><td class="paramname">size</td><td>Taille du tableau d'expression </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd><em>Le</em> nombre de conditions </dd></dl>

</div>
</div>
<a id="a4342a2f9cb945c37e9ebf50e5e3b7786"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4342a2f9cb945c37e9ebf50e5e3b7786">&#9670;&nbsp;</a></span>get_nb_criterias()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int get_nb_criterias </td>
          <td>(</td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>expression</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calcul du nombre de critères dans <em>expression</em>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">expression</td><td>Expression à parcourir </td></tr>
    <tr><td class="paramname">size</td><td>Taille du tableau d'expression </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd><em>Le</em> nombre de critères </dd></dl>

</div>
</div>
<a id="a716e0abc3f8a4ff04636b5d2565303bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a716e0abc3f8a4ff04636b5d2565303bc">&#9670;&nbsp;</a></span>init_date()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structcriteria__t.html">criteria_t</a> * init_date </td>
          <td>(</td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>expression</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialisation d'une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> avec le critère <em>--date</em>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">expression</td><td>Tableau d'expression </td></tr>
    <tr><td class="paramname">index</td><td>Indice du critère (date ==&gt; 2) </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Pointeur sur une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> si tout est bien passé, NULL sinon. </dd></dl>

</div>
</div>
<a id="a269648f2d7daa94186cb147c65731db3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a269648f2d7daa94186cb147c65731db3">&#9670;&nbsp;</a></span>init_mode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structcriteria__t.html">criteria_t</a> * init_mode </td>
          <td>(</td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>expression</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialisation d'une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> avec le critère <em>--mode</em>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">expression</td><td>Tableau d'expression </td></tr>
    <tr><td class="paramname">index</td><td>Indice du critère (mode ==&gt; 4) </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Pointeur sur une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> si tout est bien passé, NULL sinon. </dd></dl>

</div>
</div>
<a id="a9ef2cd6550a23d83627423cee966ebdf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ef2cd6550a23d83627423cee966ebdf">&#9670;&nbsp;</a></span>init_name()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structcriteria__t.html">criteria_t</a> * init_name </td>
          <td>(</td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>expression</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialisation d'une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> avec le critère <em>--name</em>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">expression</td><td>Tableau d'expression </td></tr>
    <tr><td class="paramname">index</td><td>Indice du critère (name ==&gt; 0) </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Pointeur sur une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> </dd></dl>

</div>
</div>
<a id="a634cf848c6382374970e4204423d1751"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a634cf848c6382374970e4204423d1751">&#9670;&nbsp;</a></span>init_owner()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structcriteria__t.html">criteria_t</a> * init_owner </td>
          <td>(</td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>expression</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialisation d'une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> avec le critère <em>--owner</em>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">expression</td><td>Tableau d'expression </td></tr>
    <tr><td class="paramname">index</td><td>Indice du critère (owner ==&gt; 3) </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Pointeur sur une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> si tout est bien passé, NULL sinon. </dd></dl>

</div>
</div>
<a id="ab86b186bead5d8ca36776d55d43c86d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab86b186bead5d8ca36776d55d43c86d0">&#9670;&nbsp;</a></span>init_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structcriteria__t.html">criteria_t</a> * init_size </td>
          <td>(</td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>expression</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialisation d'une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> avec le critère <em>--size</em>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">expression</td><td>Tableau d'expression </td></tr>
    <tr><td class="paramname">index</td><td>Indice du critère (size ==&gt; 1) </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Pointeur sur une structure <em><a class="el" href="structcriteria__t.html" title="Représente les informations des critères de recherche : ">criteria_t</a></em> si tout est bien passé, NULL sinon. </dd></dl>

</div>
</div>
<a id="a9035b5b576c1b66c40b40e91e858323c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9035b5b576c1b66c40b40e91e858323c">&#9670;&nbsp;</a></span>is_condition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int is_condition </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>str</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Vérification si <em>str</em> est une condition ("not", "and" ou "or") </p>
<p>Vérification si <em>str</em> est un critère (commençant par "-\-")</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">str</td><td>Chaine de caractères à vérifier </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd><em>true</em> s'il s'agit d'une condition, <em>false</em> sinon.</dd></dl>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">str</td><td>Chaine de caractères à vérifier </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd><em>true</em> s'il s'agit d'un critère, <em>false</em> sinon. </dd></dl>

</div>
</div>
<a id="a7f173821a47a59c7c292f7356ff21e90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f173821a47a59c7c292f7356ff21e90">&#9670;&nbsp;</a></span>new_expression_struct()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structexpression__t.html">expression_t</a> * new_expression_struct </td>
          <td>(</td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>expression</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Allocation de la mémoire pour une structure <em><a class="el" href="structexpression__t.html" title="Représente les critères de recherche et l&#39;expression booléenne combinant les différents critères (sou...">expression_t</a></em>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">expression</td><td>Expression sous forme de tableau de chaînes de caractères </td></tr>
    <tr><td class="paramname">size</td><td>Taille du tableau d'expression </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Un pointeur su la structure <em><a class="el" href="structexpression__t.html" title="Représente les critères de recherche et l&#39;expression booléenne combinant les différents critères (sou...">expression_t</a></em> alouée </dd></dl>

</div>
</div>
<a id="ab41afcc9a4ade3805cd3891963433bd3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab41afcc9a4ade3805cd3891963433bd3">&#9670;&nbsp;</a></span>parse()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structexpression__t.html">expression_t</a>* parse </td>
          <td>(</td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>expression</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Analyse et construction de la structure <em><a class="el" href="structexpression__t.html" title="Représente les critères de recherche et l&#39;expression booléenne combinant les différents critères (sou...">expression_t</a></em>. </p>
<p>Analyser les arguments passés au programme (sous forme de tableau de chaines de caractères <em>char**</em> <em>expression</em>) et construire la structure <a class="el" href="structexpression__t.html" title="Représente les critères de recherche et l&#39;expression booléenne combinant les différents critères (sou...">expression_t</a>.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">expression</td><td>Expression sous forme de tableau de chaînes de caractères </td></tr>
    <tr><td class="paramname">size</td><td>Taille du tableau d'expression </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Un pointeur sur la structure <em><a class="el" href="structexpression__t.html" title="Représente les critères de recherche et l&#39;expression booléenne combinant les différents critères (sou...">expression_t</a></em> effective construite </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="parser_8c.html">parser.c</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
